package com.xhly.corelib.utils

import android.os.Build

class CustomOSUtils {
    companion object {
        /**
         * 获得所有属性
         */
        public fun getAllSign(): String {
            return Build::class.java.fields.joinToString("\n") {
                "Build.${it.name} = ${
                    it.get(
                        it.name
                    )
                }"
            }

        }

        /**
         * 获得系统版本
         */
        public fun getSystemDisplay(): String {
            return Build.DISPLAY
        }

        /**
         * 获得厂商
         */
        public fun getSystemBrand(): String {
            return Build.BRAND
        }

        /**
         * 获得手机型号
         */
        public fun getSystemDevice(): String {
            return Build.DEVICE
        }
    }
}
